% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/sfclust-package.R
\docType{data}
\name{stbinom}
\alias{stbinom}
\title{Spatio-temporal Binomial data}
\format{
A \code{stars} object with:
\describe{
\item{cases}{Number of observed cases (integer)}
\item{population}{Population at risk (integer)}
\item{dimensions}{Two dimensions: \code{geometry} (spatial features) and \code{time} (daily observations)}
}
}
\usage{
data(stbinom)
}
\description{
A simulated \code{stars} object containing binomial response data with a functional clustering
pattern defined by polynomial fixed effects. This dataset includes the variables \code{cases}
and \code{population} observed across 100 simulated spatial regions over 91 time points.
}
\examples{

library(sfclust)

data(stbinom)
stbinom
plot(stbinom["cases"])

}
\keyword{datasets}
